export declare enum RepositorySelectionMode {
    /**
     * Allows targeting of any individual or multiple repos, but NOT the organization
     */
    AT_LEAST_ONE = "AT_LEAST_ONE",
    /**
     * Allows targeting of any individual or multiple repos and the organization/user
     */
    ALLOW_OWNER = "ALLOW_OWNER"
}
export interface TargetRuleSettings {
    readonly mode: RepositorySelectionMode;
}
export declare class TokenProviderTargetRule {
    private readonly settings;
    static atLeastOne(): TokenProviderTargetRule;
    static allowOwner(): TokenProviderTargetRule;
    get repositorySelectionMode(): RepositorySelectionMode;
    private constructor();
}
